program checkimage

  use dal
  use errorhandling

  implicit none

  ! Handles
  type(DataSetT) :: srcset, bkgset
  type(ArrayT) :: srcimg, bkgimg

  ! Pointers, etc.
  integer (kind=int32), pointer, dimension(:,:) :: src, bkg

  ! Fetch source image
  srcset=dataSet("srcimage.fits",read)
  srcimg=array(srcset,"PRIMARY",read)
  src=>int32Array2Data(srcimg)

  ! Fetch background image
  bkgset=dataSet("bkgimage.fits",read)
  bkgimg=array(bkgset,"PRIMARY",read)
  bkg=>int32Array2Data(bkgimg)

  !
  if(sum(src)==0)call error('err',"source region rejects all events")
  if(sum(bkg)==0)call error('err',"background region rejects all events")
  if(sum(src*bkg)>0)call error('err',"source & background regions overlap")
  
  !
  call release(srcimg)
  call release(srcset)
  call release(bkgimg)
  call release(bkgset)

end program checkimage
